Grand Magister Devon:
The gaze of the abyss is a token given to those who have passed the Test of the Palus Knight. The Test of the Palus Knight is conducted by Master Virgil of the Dark Elven Guild in the town of Gludio. Seek him out to take the test. The town of Gludio is to the east of here. The Dark Elven Guild is in the northeast part of Gludio. Of course, using a Gatekeeper is faster.
Return